- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CoinModelLink Class Reference

for going through row or column More...

`#include <CoinModelUseful.hpp>`

List of all members.

## Public Member Functions
Constructors, destructor
| CoinModelLink ()
| Default constructor.
| ~CoinModelLink ()
| Destructor.
Copy method
| CoinModelLink (const CoinModelLink &)
| The copy constructor.
CoinModelLink & | operator= (const CoinModelLink &)
| =
Sets and gets method
int | row () const
| Get row.
int | column () const
| Get column.
double | value () const
| Get value.
double | element () const
| Get value.
int | position () const
| Get position.
bool | onRow () const
| Get onRow.
void | setRow (int row)
| Set row.
void | setColumn (int column)
| Set column.
void | setValue (double value)
| Set value.
void | setElement (double value)
| Set value.
void | setPosition (int position)
| Set position.
void | setOnRow (bool onRow)
| Set onRow.
## Private Attributes
Data members
int | row_
| Row.
int | column_
| Column.
double | value_
| Value as double.
int | position_
| Position in data.
bool | onRow_
| If on row chain.

## Detailed Description

for going through row or column

CoinModelLink CoinModelLinkedList CoinModelHash

Definition at line 27 of file CoinModelUseful.hpp.

## Constructor & Destructor Documentation

CoinModelLink::CoinModelLink | ( |  | ) |

Default constructor.

CoinModelLink::~CoinModelLink | ( |  | ) |

Destructor.

CoinModelLink::CoinModelLink | ( | const CoinModelLink & |  | ) |

The copy constructor.

## Member Function Documentation

CoinModelLink& CoinModelLink::operator= | ( | const CoinModelLink & |  | ) |

=

int CoinModelLink::row | ( |  | ) | const`[inline]`

Get row.

Definition at line 49 of file CoinModelUseful.hpp.

References row_.

int CoinModelLink::column | ( |  | ) | const`[inline]`

Get column.

Definition at line 52 of file CoinModelUseful.hpp.

References column_.

double CoinModelLink::value | ( |  | ) | const`[inline]`

Get value.

Definition at line 55 of file CoinModelUseful.hpp.

References value_.

double CoinModelLink::element | ( |  | ) | const`[inline]`

Get value.

Definition at line 58 of file CoinModelUseful.hpp.

References value_.

int CoinModelLink::position | ( |  | ) | const`[inline]`

Get position.

Definition at line 61 of file CoinModelUseful.hpp.

References position_.

bool CoinModelLink::onRow | ( |  | ) | const`[inline]`

Get onRow.

Definition at line 64 of file CoinModelUseful.hpp.

References onRow_.

void CoinModelLink::setRow | ( | int | row | ) | `[inline]`

Set row.

Definition at line 67 of file CoinModelUseful.hpp.

References row_.

void CoinModelLink::setColumn | ( | int | column | ) | `[inline]`

Set column.

Definition at line 70 of file CoinModelUseful.hpp.

References column_.

void CoinModelLink::setValue | ( | double | value | ) | `[inline]`

Set value.

Definition at line 73 of file CoinModelUseful.hpp.

References value_.

void CoinModelLink::setElement | ( | double | value | ) | `[inline]`

Set value.

Definition at line 76 of file CoinModelUseful.hpp.

References value_.

void CoinModelLink::setPosition | ( | int | position | ) | `[inline]`

Set position.

Definition at line 79 of file CoinModelUseful.hpp.

References position_.

void CoinModelLink::setOnRow | ( | bool | onRow | ) | `[inline]`

Set onRow.

Definition at line 82 of file CoinModelUseful.hpp.

References onRow_.

## Member Data Documentation

int CoinModelLink::row_`[private]`

Row.

Definition at line 90 of file CoinModelUseful.hpp.

Referenced by row(), and setRow().

int CoinModelLink::column_`[private]`

Column.

Definition at line 92 of file CoinModelUseful.hpp.

Referenced by column(), and setColumn().

double CoinModelLink::value_`[private]`

Value as double.

Definition at line 94 of file CoinModelUseful.hpp.

Referenced by element(), setElement(), setValue(), and value().

int CoinModelLink::position_`[private]`

Position in data.

Definition at line 96 of file CoinModelUseful.hpp.

Referenced by position(), and setPosition().

bool CoinModelLink::onRow_`[private]`

If on row chain.

Definition at line 98 of file CoinModelUseful.hpp.

Referenced by onRow(), and setOnRow().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Osi-0.98.1/CoinUtils/src/CoinModelUseful.hpp